package com.fjhx.sale.entity.commission.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 业绩提成类型
 * </p>
 *
 * @author
 * @since 2023-09-20
 */
@Getter
@Setter
@TableName("commission_type")
public class CommissionType extends BasePo {

    /**
     * 业绩提成类型名称
     */
    private String name;

    /**
     * 售后占比
     */
    private BigDecimal afterSalesRatio;

    /**
     * 公共占比
     */
    private BigDecimal publicRatio;

    /**
     * 总办占比
     */
    private BigDecimal haveOverallRatio;

    /**
     * 部门占比
     */
    private BigDecimal departmentalRatio;

    /**
     * 个人占比
     */
    private BigDecimal personalRatio;

}
